<!DOCTYPE html>
<html>
<head>
  
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="js/Chart.min.js"></script>
<script type="text/javascript" src="js/moment.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>

<link rel="stylesheet" href="css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="css/cucumber.css" type="text/css"/>
<link rel="stylesheet" href="css/font-awesome.min.css"/>
<link rel="shortcut icon" href="images/favicon.png"/>

<script type="text/javascript">
$(document).ready(function() {
    // this will tell tablesorter to try looking for the data-value attribute
    // if present, it'll sort by that instead
    // otherwise, it'll sort by the text content of the table cell
    $("#tablesorter").tablesorter({
        textAttribute: 'data-value',
        // ignores the first row of the header, the 'scenario', 'steps', since
        // sorting those doesn't make sense
        selectorHeaders: '> thead tr:not(.dont-sort) th',
        // use a stable sort
        sortStable: true
    });
});
</script>











  
<title>Cucumber Reports (no 1) - Steps Overview</title>

</head>
<body>

<nav class="navbar navbar-default navbar-fixed-top" id="navigation">
  <div class="container-fluid">
    <div class="collapse navbar-collapse">
      <p class="navbar-text navbar-left">Cucumber Report</p>
      <ul class="nav navbar-nav navbar-right">
                <li role="presentation" ><a href="overview-features.html">Features</a></li>
        <li role="presentation" ><a href="overview-tags.html">Tags</a></li>
        <li role="presentation"     class="active" ><a href="overview-steps.html">Steps</a></li>
                <li role="presentation" ><a href="overview-failures.html">Failures</a></li>
      </ul>
    </div>
  </div>
</nav>


<div class="container-fluid">
  <div class="col-md-5 col-md-offset-1">
    
<table class="table table-bordered" id="build-info">
  <thead>
    <tr>
      <th>Project</th>
              <th>Number</th>
            <th>Date</th>
    </tr>
  </thead>
  <tbody>
    <tr class="info">
      <td>Payback_MobileApp_Automation</td>
              <td>1</td>
            <td>21 Dec 2021, 06:57</td>
    </tr>
  </tbody>
</table>

  </div>
  <div class="col-md-3 col-md-offset-2">
      </div>
</div>


<div id="report-lead" class="container-fluid">
  <div class="col-md-10 col-md-offset-1">
    <h2>Steps Statistics</h2>
          <p>The following graph shows step statistics for this build. Below list is based on results.
 step does not provide information about result then is not listed below.
 Additionally @Before and @After are not counted because they are part of the scenarios, not steps.</p>
      </div>
</div>

<div class="container-fluid" id="report">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <table id="tablesorter" class="stats-table table-hover">

        <thead>
          <tr class="header">
            <th>Implementation</th>
            <th>Occurrences</th>
            <th>Duration</th>
            <th>Average</th>
            <th>Ratio</th>
          </tr>
        </thead>

        <tbody>
                      <tr>
              <td class="location">ApplyCoupon.click_Coupons_on_home_screen()</td>
              <td>1</td>
              <td class="duration" data-value="66860575">066ms</td>
              <td class="duration" data-value="66860575">066ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.click_on_Filters_to_apply_filter()</td>
              <td>1</td>
              <td class="duration" data-value="37993981">037ms</td>
              <td class="duration" data-value="37993981">037ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.click_to_activate_the_first_coupon()</td>
              <td>1</td>
              <td class="duration" data-value="2037133237">2s 037ms</td>
              <td class="duration" data-value="2037133237">2s 037ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.coupon_should_be_successfully_activated()</td>
              <td>1</td>
              <td class="duration" data-value="40895570">040ms</td>
              <td class="duration" data-value="40895570">040ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.coupons_based_on_applied_filter_should_display()</td>
              <td>1</td>
              <td class="duration" data-value="317114189">317ms</td>
              <td class="duration" data-value="317114189">317ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.init()</td>
              <td>1</td>
              <td class="duration" data-value="37010671">037ms</td>
              <td class="duration" data-value="37010671">037ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.launch_Payback_app_on_device()</td>
              <td>1</td>
              <td class="duration" data-value="2765751439">2s 765ms</td>
              <td class="duration" data-value="2765751439">2s 765ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.login_with_credentials(DataTable)</td>
              <td>1</td>
              <td class="duration" data-value="6747072686">6s 747ms</td>
              <td class="duration" data-value="6747072686">6s 747ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.navigate_to_Coupons_screen()</td>
              <td>1</td>
              <td class="duration" data-value="1986389590">1s 986ms</td>
              <td class="duration" data-value="1986389590">1s 986ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.navigated_to_user_menu_and_click_on_logout()</td>
              <td>1</td>
              <td class="duration" data-value="6640001780">6s 640ms</td>
              <td class="duration" data-value="6640001780">6s 640ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.select_to_apply_Partner_filter(String)</td>
              <td>1</td>
              <td class="duration" data-value="5649212901">5s 649ms</td>
              <td class="duration" data-value="5649212901">5s 649ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.user_login_should_be_successfully()</td>
              <td>1</td>
              <td class="duration" data-value="14825849011">14s 825ms</td>
              <td class="duration" data-value="14825849011">14s 825ms</td>
              <td class="passed">100.00%</td>
            </tr>
                      <tr>
              <td class="location">ApplyCoupon.user_should_logged_out_successfully()</td>
              <td>1</td>
              <td class="duration" data-value="6456983872">6s 456ms</td>
              <td class="duration" data-value="6456983872">6s 456ms</td>
              <td class="passed">100.00%</td>
            </tr>
                  </tbody>

        <tfoot class="total">
          <tr>
            <td>13</td>
            <td>13</td>
            <td class="duration">47s 608ms</td>
            <td class="duration">3s 662ms</td>
            <td>Totals</td>
          </tr>
        </tfoot>

      </table>
    </div>
  </div>
</div>


<nav class="navbar navbar-default" id="footer">
  <div class="container-fluid">
    <p class="navbar-text navbar-right">
        <small>generate Cucumber HTML reports via:&nbsp;</small>
        <a class="navbar-link" href="https://github.com/jenkinsci/cucumber-reports-plugin">Jenkins Plugin</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-reporting">Standalone</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-sandwich">Sandwich</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/maven-cucumber-reporting">Maven</a>
        &nbsp;&nbsp;
    </p>
  </div>
</nav>

</body>
</html>
